Get session participants

​

Returns the participant list for a session, including each student's attendance status (present, absent, unknown) and whether they were invited.

Path Parameters

  • Unique identifier of the sessionId.

Query Parameters

  • Maximum number of objects to return. Range: 1–1000.

  • Number of objects to skip for pagination.

  • A comma-separated list of Profile IDs to filter a session's participants by.

Responses

  • application/json
  • application/json
  • application/json
Request Example for get/apis/sessions/{sessionId}/participants
curl 'https://ff-business-school.fullfabric.cloud/apis/sessions/507f1f77bcf86cd799439011/participants?limit=10&skip=0' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
Example response
[
  {
    "registration_id": "69d904eb9a52af493b0e5305",
    "registration_session_id": "6385baad976a7719120008f0",
    "profile_id": "6385bdd4976a7719120108e9",
    "attendance": "present",
    "invited": true
  },
  {
    "registration_id": "69d904eb9a52af493b0e5311",
    "registration_session_id": "6385baad976a7719120008f0",
    "profile_id": "6385baa7976a7719120005dc",
    "attendance": "absent",
    "invited": true
  }
]